Name:          net-tools
Version:       1.60.20181103git
Release:       1mamba
Summary:       The basic tools for setting up networking.
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://freshmeat.net/projects/net-tools/
Source:        git://git.code.sf.net/p/net-tools/code.git/master/code-%{version}.tar.bz2
#Source:        http://www.tazenda.demon.co.uk/phil/net-tools/net-tools-%{version}.tar.bz2
Source1:       net-tools-1.60.20130916git-config.in
Patch1:        %{name}-1.60-miitool-gcc33-1.patch
Patch2:        %{name}-1.60-envpath.patch
Patch3:        %{name}-1.60-arp-1.patch
Patch4:        %{name}-1.60-gcc4.patch
Patch5:        %{name}-1.60-ipv6-1.patch
Patch6:        %{name}-1.60-kernel_headers-3.patch
Patch7:        %{name}-1.60-nameif-2.patch
Patch8:        %{name}-1.60-virtualname-1.patch
Patch9:        %{name}-1.60-kernel2.6.29.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      inetutils
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The net-tools package contains the basic tools needed for setting up networking: ifconfig, netstat, route and others.

%prep
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%setup -q -n code-%{version}
#%patch1 -p 1
%patch2 -p 1
#%patch3 -p 1
#%patch4 -p 1
#%patch5 -p 1
#%patch6 -p 1
#%patch7 -p 1
#%patch8 -p 1
#%patch9 -p 1

cat >> config.make << _EOF
HAVE_ARP_TOOLS=1
HAVE_HOSTNAME_TOOLS=1
_EOF

%build
#cp %{SOURCE1} ./config.in

yes "" | make \
   CC=%{_target_platform}-gcc \
   AR=%{_target_platform}-ar


%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
make update BASEDIR=%{buildroot}/ \
   CC=%{_target_platform}-gcc \
   AR=%{_target_platform}-ar

# compatibility symlinks
ln -sf ../bin/route %{buildroot}/sbin/route
ln -sf ../bin/ifconfig %{buildroot}/sbin/ifconfig

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
/bin/dnsdomainname
/bin/domainname
/bin/hostname
/bin/ifconfig
/bin/netstat
/bin/nisdomainname
/bin/ypdomainname
/bin/route
/sbin/arp
/sbin/ifconfig
/sbin/ipmaddr
/sbin/iptunnel
/sbin/mii-tool
/sbin/nameif
/sbin/plipconfig
/sbin/rarp
/sbin/route
/sbin/slattach
%{_mandir}/man1/dnsdomainname.*
%{_mandir}/man1/domainname.*
%{_mandir}/man1/nisdomainname.*
%{_mandir}/man1/ypdomainname.*
%{_mandir}/man1/hostname.1*
%{_mandir}/man5/*
%{_mandir}/man8/*

%changelog
* Fri Jun 21 2019 Automatic Build System <autodist@mambasoft.it> 1.60.20181103git-1mamba
- automatic version update by autodist

* Mon Feb 19 2018 Automatic Build System <autodist@mambasoft.it> 1.60.20180212git-1mamba
- automatic version update by autodist

* Sun Aug 07 2016 Automatic Build System <autodist@mambasoft.it> 1.60.20160710git-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 1.60.20130916git-1mamba
- update to 1.60.20130916git

* Thu Apr 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-9mamba
- don't exclude hostname, use this instead of the one from inetutils package

* Mon Jul 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-8mamba
- excluded hostname and ifconfig provided by inettools
- added requirement for inettools for upgrade compatibility

* Thu Mar 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-7mamba
- added patch to build with current kernel headers

* Mon Jul 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-6mamba
- added URL entry
- added kernel_headers, nameif, virtualname,arp and ipv6 patches

* Tue Sep 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-5qilnx
- cross platform build support
- added gcc4 patch

* Tue Mar 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-4qilnx
- rebuild with mii support, packet radio and others (no decnet yet, it needs libdnet)

* Mon Dec 15 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-3qilnx
- enabled ipv6 support
- patch for gcc 3.3 applied

* Mon Apr 14 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.60-1qilnx
- Creation of net-tools package
